Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## peak.can
Class TableDataRow

    java.lang.Object
      peak.can.TableDataRow

    public class TableDataRow

extends java.lang.Object

The TableDataRow class is a structure to store all provided info by a CAN Message

Constructor Summary
`TableDataRow()`

Method Summary
`int` | `getCounter()` Gets number of times the CAN Message was readed
`TPCANMsg` | `getMessage()` Gets wrapped TPCANMsg
`TPCANTimestamp` | `getRcvTime()` Gets wrapped TPCANTimestamp
`void` | `setCounter(int counter)` Sets number of times the CAN Message was readed
`void` | `setMessage(TPCANMsg message)` Sets wrapped TPCANMsg
`void` | `setRcvTime(TPCANTimestamp rcvTime)` Sets wrapped TPCANTimestamp

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableDataRow

    public TableDataRow()

Method Detail

### getCounter

    public int getCounter()

  Gets number of times the CAN Message was readed

  Returns:
    number of times

### setCounter

    public void setCounter(int counter)

  Sets number of times the CAN Message was readed

  Parameters:
    `counter` -

### getMessage

    public TPCANMsg getMessage()

  Gets wrapped TPCANMsg

  Returns:
    wrapped TPCANMsg

### setMessage

    public void setMessage(TPCANMsg message)

  Sets wrapped TPCANMsg

  Parameters:
    `wrapped` - TPCANMsg

### getRcvTime

    public TPCANTimestamp getRcvTime()

  Gets wrapped TPCANTimestamp

  Returns:
    wrapped TPCANTimestamp

### setRcvTime

    public void setRcvTime(TPCANTimestamp rcvTime)

  Sets wrapped TPCANTimestamp

  Parameters:
    `wrapped` - TPCANTimestamp

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD